// Legacy API exports (for backward compatibility)
export { request, safeGet } from './legacy/smartrequest.request.js';
export type { IExtendedIncomingMessage } from './legacy/smartrequest.request.js';
export type { ISmartRequestOptions } from './legacy/smartrequest.interfaces.js';

export * from './legacy/smartrequest.jsonrest.js';
export * from './legacy/smartrequest.binaryrest.js';
export * from './legacy/smartrequest.formdata.js';
export * from './legacy/smartrequest.stream.js';

// Modern API exports
export * from './modern/index.js';
import { SmartRequestClient } from './modern/smartrequestclient.js';

// Default export for easier importing
export default SmartRequestClient;